package com.yizhi.library.application.feign;

import com.yizhi.library.application.vo.ClassifyListVO;
import com.yizhi.library.application.vo.ClassifyVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-03
 */
@FeignClient(name = "caselibrary", contextId = "CaseLibraryClassifyClient")
public interface CaseLibraryClassifyClient {

    /**
     * 插入分类
     *
     * @param classify
     * @return
     */
    @PostMapping("/classify/insert")
    Integer insertClassify(@RequestBody ClassifyVO classify);

    /**
     * 删除分类
     *
     * @param classifyId
     * @return
     */
    @GetMapping("/classify/delete")
    boolean deleteClassify(@RequestParam("classifyId") Long classifyId);

    /**
     * 分类下架
     *
     * @param classifyId
     * @return
     */
    @GetMapping("/classify/putDown")
    boolean putDownClassify(@RequestParam("classifyId") Long classifyId);

    /**
     * 分类上架
     *
     * @param classifyId
     * @return
     */
    @GetMapping("/classify/release")
    boolean releaseClassify(@RequestParam("classifyId") Long classifyId);

    /**
     * 获取分类列表
     *
     * @return
     */
    @GetMapping("/classify/list")
    List<ClassifyListVO> getClassifyList();

    /**
     * 修改分类信息
     *
     * @param classifyId
     * @param name
     * @param description
     * @return
     */
    @GetMapping("/classify/update")
    boolean updateClassify(@RequestParam(name = "classifyId") Long classifyId,
                           @RequestParam(name = "name", required = false) String name,
                           @RequestParam(name = "description", required = false) String description);

    /**
     * 上移下移
     * @param classifyId
     * @param parentId
     * @param sort
     * @param type
     * @return
     */
    @GetMapping("/classify/move")
    Integer moveClassify(@RequestParam(name = "classifyId") Long classifyId,
                         @RequestParam(name = "parentId") Long parentId,
                         @RequestParam(name = "sort") Integer sort,
                         @RequestParam(name = "type") Integer type);
}
