package com.yizhi.library.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.library.application.vo.StatisticStudentCaseVO;
import com.yizhi.library.application.vo.StudentCaseAccountExportVO;
import com.yizhi.library.application.vo.StudentCaseOrgExportVO;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(name = "caselibrary", contextId = "StudentCaseReportClient")
public interface StudentCaseReportClient {

	@GetMapping("/studentCaseReport/list/org")
	public Page<StudentCaseOrgExportVO> studentCaseByOrg(
			@ApiParam(value = "查询关键字", required = false) @RequestParam(name = "kwd", required = false) String kwd,
			@ApiParam(value = "每页条数，默认10", required = false) @RequestParam(name = "pageSize", required = false, defaultValue = "10") Integer pageSize,
			@ApiParam(value = "当前页数", required = false) @RequestParam(name = "pageNo", required = false, defaultValue = "1") Integer pageNo);

	@GetMapping("/studentCaseReport/list")
	public Page<StatisticStudentCaseVO> studentCaseList(
			@ApiParam(value = "开始时间（yyyy-mm-dd）", required = false) @RequestParam(name = "startDate", required = false) String startDate,
			@ApiParam(value = "结束时间（yyyy-mm-dd）", required = false) @RequestParam(name = "endDate", required = false) String endDate,
			@ApiParam(value = "查询关键字", required = false) @RequestParam(name = "kwd", required = false) String kwd,
			@ApiParam(value = "每页条数，默认10", required = false) @RequestParam(name = "pageSize", required = false, defaultValue = "10") Integer pageSize,
			@ApiParam(value = "当前页数", required = false) @RequestParam(name = "pageNo", required = false, defaultValue = "1") Integer pageNo);

	@GetMapping("/studentCaseReport/list/account")
	public Page<StudentCaseAccountExportVO> studentCaseByAccount(
			@ApiParam(value = "查询关键字", required = false) @RequestParam(name = "kwd", required = false) String kwd,
			@ApiParam(value = "每页条数，默认10", required = false) @RequestParam(name = "pageSize", required = false, defaultValue = "10") Integer pageSize,
			@ApiParam(value = "当前页数", required = false) @RequestParam(name = "pageNo", required = false, defaultValue = "1") Integer pageNo);

	@GetMapping("/studentCaseReport/list/account/export")
	public Map<String, Object> studentCaseExportByAccount(@ApiParam(value = "查询关键字", required = false) @RequestParam(name = "kwd", required = false) String kwd);

	@GetMapping("/studentCaseReport/list/org/export")
	public Map<String, Object> studentCaseExportByOrg(@ApiParam(value = "查询关键字", required = false) @RequestParam(name = "kwd", required = false) String kwd);

	@GetMapping("/studentCaseReport/list/export")
	public Map<String, Object> studentCaseExport(@ApiParam(value = "开始时间（yyyy-mm-dd）", required = false) @RequestParam(name = "startDate", required = false) String startDate,
			@ApiParam(value = "结束时间（yyyy-mm-dd）", required = false) @RequestParam(name = "endDate", required = false) String endDate,
			@ApiParam(value = "查询关键字", required = false) @RequestParam(name = "kwd", required = false) String kwd);
}
