package com.yizhi.library.application.param;

import com.yizhi.library.application.vo.AccessoryUrlVO;
import com.yizhi.library.application.vo.StudentCaseRelatedClassifyVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * @author Ding
 * @className StudentCaseVO
 * @description TODO
 * @date 2019/7/9
 **/
@Data
@ApiModel(value = "StudentCase", description = "学生案例vo")
public class StudentCaseParam  {


    @ApiModelProperty("如果是管理端代提交,提交人id")
    private Long submitterId;

    @ApiModelProperty(value = "关联分类list")
    private List<StudentCaseRelatedClassifyVO> relatedClassifyList;

    @ApiModelProperty(value = "提交类型 0:保存 1:提交 2:管理端修改保存 3:管理端修改上架")
    private Integer type;

    @ApiModelProperty(value = "附件url")
    private List<AccessoryUrlVO> accessoryUrlList;

    @ApiModelProperty(value = "外部文档文件名")
    private String pdfFileName;

    @ApiModelProperty("关键字数组")
    private List<String> keywordsList;

    private Long id;

    private String title;

    @ApiModelProperty(value = "关联案列活动id")
    private Long caseLibraryId;

    private Long accountId;

    @ApiModelProperty(value = "学员案例封面url")
    private String logoUrl;

    @ApiModelProperty("关键字")
    private String keywords;

    @ApiModelProperty("得分规则")
    private Integer scoreRule;

    @ApiModelProperty(value = "文本提交类型 1:富文本编辑 2:附件上传")
    private Integer textEditType;

    @ApiModelProperty(value = "学员案例内容")
    private String content;

    @ApiModelProperty(value = "学员案例内容")
    private String contentFileName;

    @ApiModelProperty(value = "外部文档上传阿里云url")
    private String pdfOssUrl;

    @ApiModelProperty(value = "附件url")
    private String accessoryUrl;

    @ApiModelProperty(value = "评分状态 0:待评分 1:已评分")
    private Integer scoreState;

    @ApiModelProperty(value = "是否完成所有评分 0:未完成 1:已完成")
    private Integer isFinishedScore;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "学员端显示类型 1:通过后自动上架, 2:通过需要手动上架")
    private Integer examine;

    @ApiModelProperty(value = "举报状态 0:未举报 1:被举报")
    private Integer informState;

    @ApiModelProperty(value = "审核状态0:待审核  1:审核通过 2:审核不通过")
    private Integer auditState;

    @ApiModelProperty(value = "审核反馈")
    private String auditEvaluate;

    @ApiModelProperty(value = "审核人是否可修改分类 0:不可修改 1:可修改")
    private Integer auditorAuthorize;

    @ApiModelProperty(value = "可见范围类型 1:全平台可见 2:指定范围")
    private Integer visibleRange;

    @ApiModelProperty(value = "0:删除,1:提交待审核,2:上架,3:下架,4草稿")
    private Integer state;

    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "最近修改时间")
    private Date lastModifyTime;

    @ApiModelProperty(value = "代提交人id")
    private Long diplomaticAgentId;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    private Long companyId;

    private Long siteId;

    private Long orgId;

    private Long readNum;

    private Long admireNum;
}
