package com.yizhi.library.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.yizhi.library.application.enums.ProductCoverEnums;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * @author Ding
 * @className CaseLibraryVO
 * @description TODO
 * @date 2019/7/5
 **/
@Data
@ApiModel(value = "CaseLibraryVO", description = "案例活动VO")
public class CaseLibraryVO {

    @ApiModelProperty(value = "分类维度列表")
    private List<Long> classifyIdList;

    @ApiModelProperty(value = "关联项目名称")
    private String trainingProjectName;

    @ApiModelProperty(value = "案例活动截止时间")
    private Date endTime;

    @ApiModelProperty(value = "我的列表进行中数量")
    private Integer inProgressNum;

    @ApiModelProperty(value = "我的列表已完成数量")
    private Integer finishNum;

    @ApiModelProperty(value = "是否必须提交0:不必须提交 1:必须提交")
    private Integer isMustSubmit;

    @ApiModelProperty(value = "保存或者上架类型1,不传是下一步")
    private Integer type;

    @ApiModelProperty(value = "多维度评分VO列表")
    private List<CaseLibraryDimensionGradeVO> caseLibraryDimensionGradeVOS;

    @ApiModelProperty("是否显示打分:0否，1是")
    private Integer showScore;

    @ApiModelProperty(value = "评分说明")
    private String caseLibraryDimensionGradeDescription;

    private Long id;

    private String name;

    @ApiModelProperty(value = "封面图片url")
    @TableField("logo_url")
    private String logoUrl;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("可见范围类型 1:全平台可见 2:指定范围")
    private Integer visibleRange;

    @ApiModelProperty(value = "培训项目id")
    private Long trainingProjectId;

    @ApiModelProperty(value = "案例要求")
    private String explanation;

    @ApiModelProperty(value = "文本编辑形式:1文本编辑框, 2导入外部文档格式doc docx pdf")
    private Integer textEditType;

    @ApiModelProperty(value = "必须提交人导入附件阿里云地址")
    private String submitterUrl;

    @ApiModelProperty(value = "必须提交人导入附件名称")
    private String submitterAccessName;

    @ApiModelProperty(value = "审核人导入附件阿里云地址")
    private String auditorUrl;

    @ApiModelProperty(value = "审核人导入附件名称")
    private String auditorAccessName;

    @ApiModelProperty("审核人权限 0:不允许修改分类 1:允许修改分类")
    private Integer auditorAuthorize;

    @ApiModelProperty(value = "评分人导入附件阿里云地址")
    private String scorerUrl;

    @ApiModelProperty(value = "评分人导入附件名称")
    private String scorerAccessName;

    @ApiModelProperty(value = "通过审核后 获得积分")
    private Integer point;

    @ApiModelProperty(value = "学员端显示类型 1:通过后自动上架, 2:通过需要手动上架")
    private Integer examine;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    private Long companyId;

    private Long siteId;

    private Long orgId;

    @ApiModelProperty(value = "0:删除,1:草稿,2:上架,3:下架")
    private Integer state;

    @ApiModelProperty("得分规则 1:平均分 2:最高分 3:任意一人得分 4:多维度打分")
    private Integer scoreRule;

    @ApiModelProperty("是否可修改得分规则 0:不可修改 1:可修改")
    private Integer canModifyScoreRule;

    @ApiModelProperty(value = "作品封面是否必填 80：必填 默认； 40：非必填")
    private Integer productCover = ProductCoverEnums.PRODUCT_COVER_ON.getType();

}
