package com.yizhi.library.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author Ding
 * @className ClassifyVO
 * @description TODO
 * @date 2019/7/8
 **/
@Data
@ApiModel(value = "CaseLibraryVO", description = "案例活动VO")
public class ClassifyVO {

    @ApiModelProperty(value = "是否选择 0:未选中 1:选中")
    Integer chooseState;

    @ApiModelProperty(value = "临时索引,前端需要")
    String key;

    @ApiModelProperty(value = "分类id别名,便于前端使用")
    Long classifyId;

    @ApiModelProperty(value = "分类名称别名,便于前端使用")
    String classifyName;

    @ApiModelProperty(value = "少波需要,跟name值一样")
    private String label;

    @ApiModelProperty(value = "少波需要,跟id值一样")
    private Long value;

    @ApiModelProperty(value = "是否可删除 0:不可删除 1:可删除")
    private Integer canDelete;

    @ApiModelProperty("置灰状态 0:置灰 1:不置灰")
    private Integer showState;

    private Long id;

    private String name;

    @ApiModelProperty(value = "0:维度, 1:一级分类 2:二级分类")
    private Integer level;

    @ApiModelProperty(value = "分类描述")
    private String description;

    @ApiModelProperty(value = "父级id 0为维度没有父级")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "分类排序")
    private Integer sort;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @TableField("company_id")
    private Long companyId;

    @TableField("site_id")
    private Long siteId;

    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(value = "(0:删除, 1:上架, 2:下架)")
    private Integer state;


}
