package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.math.NumberUtils;

import java.math.RoundingMode;
import java.util.Date;

/**
 * @author Ding
 * @className SelectionCaseVO
 * @description TODO
 * @date 2019/7/30
 **/
@Data
@ApiModel(value = "SelectionCaseListVO", description = "精选案例管理列表VO")
public class SelectionCaseListVO {

    @ApiModelProperty(value = "学员案例id")
    private Long id;

    @ApiModelProperty(value = "学员案例名称")
    private String tittle;

    @ApiModelProperty(value = "案例活动名称")
    private String caseLibraryName;

    private Long caseLibraryId;

    @ApiModelProperty(value = "用户id")
    private Long accountId;

    @ApiModelProperty(value = "用户名")
    private String accountName;

    @ApiModelProperty(value = "姓名")
    private String accountFullName;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "状态")
    private String state;

    private Integer scoreRule;

    @ApiModelProperty("多维度评分")
    private Double dimensionScore;

    @ApiModelProperty(value = "作品封面是否必填 80：必填 默认； 40：非必填")
    private Integer productCover;

    public Double getDimensionScore() {
        if (this.dimensionScore != null) {
            this.dimensionScore = NumberUtils.toScaledBigDecimal(dimensionScore, 2, RoundingMode.HALF_UP).doubleValue();
        }
        return this.dimensionScore;
    }
 }
