package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Ding
 * @className StudentCaseMangeListVO
 * @description
 * @date 2019/7/25
 **/
@Data
@ApiModel(value = "StudentCaseMangeListVO",description = "学员案例管理列表vo")
public class StudentCaseManageListVO {

    @ApiModelProperty(value = "学员案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "学员案例标题")
    private String studentCaseTitle;

    @ApiModelProperty(value = "案例活动id")
    private Long caseLibraryId;

    @ApiModelProperty(value = "案例活动名称")
    private String caseLibraryName;

    @ApiModelProperty(value = "作者id")
    private Long accountId;

    @ApiModelProperty(value = "作者用户名")
    private String accountName;

    @ApiModelProperty(value = "作者姓名")
    private String accountFullName;

    @ApiModelProperty(value = "作者所属部门id")
    private Long orgId;

    @ApiModelProperty(value = "作者所属部门")
    private String orgName;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

    @ApiModelProperty(value = "审核人id")
    private List<Long> auditorIds;

    @ApiModelProperty(value = "审核人姓名(前端显示)")
    private String auditorFullNames;

    @ApiModelProperty(value = "评分人id")
    private List<Long> scorerIds;

    @ApiModelProperty(value = "得分人姓名(前端显示)")
    private String scorerFullNames;

    @ApiModelProperty(value = "举报记录id")
    private Long informRecordId;

    @ApiModelProperty(value = "举报人id")
    private Long informerId;

    @ApiModelProperty(value = "举报人姓名")
    private String informerFullName;

    @ApiModelProperty(value = "举报时间")
    private Date informTime;

    @ApiModelProperty(value = "第几条数据,上一条下一条需要")
    private Integer number;

    @ApiModelProperty(value = "举报内容")
    private String informDescription;

    @ApiModelProperty(value = "待审核记录数")
    private Integer waitAuditNumber;

    @ApiModelProperty(value = "待评分记录数")
    private Integer waitScoreNumber;

    @ApiModelProperty(value = "审核状态(内部逻辑处理使用)")
    private Integer auditState;

    @ApiModelProperty(value = "评分状态(内部逻辑处理使用)")
    private Integer scoreState;

    @ApiModelProperty(value = "案例状态(前端显示)")
    private String state;

    @ApiModelProperty(value = "操作状态 1:审核,评分 2:审核")
    private Integer handleType;

    @ApiModelProperty(value = "第几条数据(临时索引,审核,评分需要)")
    private Integer Number;

    @ApiModelProperty(value = "学员案例关联分类")
    private List<StudentRelatedClassifyVO> relatedClassifyList;

    private Integer scoreRule;

}
