package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.math.NumberUtils;

import java.math.RoundingMode;
import java.util.Date;
import java.util.List;

/**
 * @author Ding
 * @className StudentCaseStudyVO
 * @description TODO
 * @date 2019/7/11
 **/

@Data
@ApiModel(value = "StudentCaseStudyVO", description = "学员案例学习/审核/评分VO")
public class StudentCaseStudyVO {

    @ApiModelProperty(value = "学员案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "学员案例id")
    private Long caseId;
    
    @ApiModelProperty(value = "案例活动名称")
    private String caseName;
    
    @ApiModelProperty(value = "logourl")
    private String logoUrl;

    @ApiModelProperty(value = "学员案例主题")
    private String title;

    @ApiModelProperty(value = "作者id")
    private Long authorId;

    @ApiModelProperty(value = "作者用户名")
    private String authorUserName;

    @ApiModelProperty(value = "作者姓名")
    private String authorName;

    @ApiModelProperty(value = "部门名称")
    private String orgName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "举报时间")
    private Date auditTime;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "附件url")
    private String accessoryUrl;

    @ApiModelProperty(value = "附件list")
    private List<AccessoryUrlVO> accessoryUrlList;

    @ApiModelProperty(value = "审核状态 0:不通过 1:通过")
    private Integer auditState;

    @ApiModelProperty(value = "审核反馈内容")
    private String auditEvaluate;

    @ApiModelProperty(value = "评分")
    private Integer score;

    @ApiModelProperty(value = "评分状态")
    private Integer scoreState;

    @ApiModelProperty(value = "学员案例状态")
    private Integer state;

    @ApiModelProperty(value = "查询结果状态 0:学员案例已经删除")
    private Integer resultState;

    @ApiModelProperty(value = "点赞状态 0:未点赞 1:已点赞")
    private Integer admireState;

    @ApiModelProperty(value = "收藏状态 0:取消收藏 1:已收藏")
    private Integer favoriteState;

    @ApiModelProperty(value = "举报状态 0:未举报 1:已举报")
    private Integer informState;

    @ApiModelProperty(value = "举报时间")
    private Date informTime;

    @ApiModelProperty(value = "前一篇id(审核,评分需要)")
    private Long prefixId;

    @ApiModelProperty(value = "后一篇id(审核,评分需要)")
    private Long suffixId;

    private Integer scoreRule;

    private Long caseLibraryId;

    private List<InformVO> informVOList;

    @ApiModelProperty("多维度评分")
    private Double dimensionScore;

    @ApiModelProperty("维度打分的维度vo列表")
    private List<CaseLibraryDimensionGradeVO> caseLibraryDimensionGradeVOS;

    @ApiModelProperty("是否显示打分:0否，1是")
    private Integer showScore;

    @ApiModelProperty(value = "评分说明")
    private String caseLibraryDimensionGradeDescription;

    @ApiModelProperty(value = "作品封面是否必填 80：必填 默认； 40：非必填")
    private Integer productCover;

    public Double getDimensionScore() {
        if (this.dimensionScore != null) {
            this.dimensionScore = NumberUtils.toScaledBigDecimal(dimensionScore, 2, RoundingMode.HALF_UP).doubleValue();
        }
        return this.dimensionScore;
    }
}
