package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.math.NumberUtils;
import java.math.RoundingMode;
import java.util.Date;
import java.util.List;

/**
 * @author Ding
 * @className StudentCaseViewVO
 * @description TODO
 * @date 2019/7/10
 **/
@Data
@ApiModel(value = "StudentCaseViewVO", description = "学生案例查看VO")
public class StudentCaseViewVO  {

    private Long id;

    private String title;

    @ApiModelProperty(value = "关联案列活动id")
    private Long caseLibraryId;

    @ApiModelProperty(value = "学员案例封面url")
    private String logoUrl;

    @ApiModelProperty("关键字")
    private String keywords;

    @ApiModelProperty(value = "文本提交类型 1:富文本编辑 2:附件上传")
    private Integer textEditType;

    @ApiModelProperty(value = "学员案例内容")
    private String content;

    @ApiModelProperty(value = "学员案例内容")
    private String contentFileName;

    @ApiModelProperty(value = "外部文档上传阿里云url")
    private String pdfOssUrl;

    @ApiModelProperty(value = "附件url")
    private String accessoryUrl;

    @ApiModelProperty(value = "评分状态 0:待评分 1:已评分")
    private Integer scoreState;

    @ApiModelProperty(value = "是否完成所有评分 0:未完成 1:已完成")
    private Integer isFinishedScore;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "学员端显示类型 1:通过后自动上架, 2:通过需要手动上架")
    private Integer examine;

    @ApiModelProperty(value = "举报状态 0:未举报 1:被举报")
    private Integer informState;

    @ApiModelProperty(value = "审核状态0:待审核  1:审核通过 2:审核不通过")
    private Integer auditState;

    @ApiModelProperty(value = "审核反馈")
    private String auditEvaluate;

    @ApiModelProperty(value = "审核人是否可修改分类 0:不可修改 1:可修改")
    private Integer auditorAuthorize;

    @ApiModelProperty(value = "可见范围类型 1:全平台可见 2:指定范围")
    private Integer visibleRange;

    @ApiModelProperty(value = "0:删除,1:提交待审核,2:上架,3:下架,4草稿")
    private Integer state;

    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "最近修改时间")
    private Date lastModifyTime;

    @ApiModelProperty(value = "代提交人id")
    private Long diplomaticAgentId;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    private Long companyId;

    private Long siteId;

    private Long orgId;

    private Long readNum;

    private Long admireNum;

    @ApiModelProperty(value = "案例活动主题")
    private String caseLibraryName;

    @ApiModelProperty(value = "案例要求")
    private String explanation;

    @ApiModelProperty(value = "附件list")
    private List<AccessoryUrlVO> accessoryUrlList;

    @ApiModelProperty(value = "案例库关联维度及下级分类列表以及选中的分类")
    private List<ClassifyListVO> classifyListVOList;

    @ApiModelProperty(value = "学员案例已选择的分类列表")
    private List<StudentRelatedClassifyVO> selectedList;

    @ApiModelProperty("关键字数组")
    private List<String> keywordsList;
    
    @ApiModelProperty(value = "pdf图片")
    private List<PdfPages> pdfPages;

    @ApiModelProperty("得分规则 1:平均分 2:最高分 3:任意一人得分 4:多维度打分。只有在4的时候，需要单独处理，否则原来逻辑不动")
    private Integer scoreRule;

    private Long accountId;

    @ApiModelProperty("维度打分的维度vo列表")
    private List<CaseLibraryDimensionGradeVO> caseLibraryDimensionGradeVOS;

    @ApiModelProperty("是否显示打分:0否，1是")
    private Integer showScore;

    @ApiModelProperty(value = "评分说明")
    private String caseLibraryDimensionGradeDescription;

    @ApiModelProperty("多维度评分")
    private Double dimensionScore;

    @ApiModelProperty(value = "作品封面是否必填 80：必填 默认； 40：非必填")
    private Integer productCover;

    public Double getDimensionScore() {
        if (this.dimensionScore != null) {
            this.dimensionScore = NumberUtils.toScaledBigDecimal(dimensionScore, 2, RoundingMode.HALF_UP).doubleValue();
        }
        return this.dimensionScore;
    }
}
