package com.yizhi.library.application.controller;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.library.application.feign.StudyCaseClient;
import com.yizhi.library.application.param.CommentParam;
import com.yizhi.library.application.param.InformParam;
import com.yizhi.library.application.service.*;
import com.yizhi.library.application.vo.CommentReplyVO;
import com.yizhi.library.application.vo.CommentVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author Ding
 * @className StudyCaseController
 * @description TODO
 * @date 2019/7/12
 **/

@RestController
@RequestMapping("/studentCase/study")
public class StudyCaseController implements StudyCaseClient {

    @Autowired
    private IAdmireRecordeService admireRecordeService;

    @Autowired
    private IFavoriteService favoriteService;

    @Autowired
    private IInformRecordeService informRecordeService;

    @Autowired
    private ICommentService commentService;

    @Autowired
    private ICommentReplyService commentReplyService;

    @Override
    @GetMapping("/admire")
    public boolean admireStudentCase(Long studentCaseId) {
        return admireRecordeService.admireStudentCase(studentCaseId);
    }

    @Override
    @GetMapping("/cancelAdmire")
    public boolean cancelAdmireStudentCase(Long studentCaseId) {
        return admireRecordeService.cancelAdmireStudentCase(studentCaseId);
    }

    @Override
    @GetMapping("/favorite")
    public boolean favorite(Long studentCaseId) {
        return favoriteService.favorite(studentCaseId);
    }

    @Override
    @GetMapping("/cancelFavorite")
    public boolean cancelFavorite(Long studentCaseId) {
        return favoriteService.cancelFavorite(studentCaseId);
    }

    @Override
    @PostMapping("/inform")
    public boolean inform(@RequestBody InformParam informParam) {
        return informRecordeService.inform(informParam);
    }

    @Override
    @PostMapping("/comment")
    public boolean comment(@RequestBody CommentParam commentParam) {
        return commentService.comment(commentParam);
    }

    @Override
    @GetMapping("/comment/admire")
    public boolean admireComment(Long commentId) {
        return commentService.admireComment(commentId);
    }

    @Override
    @GetMapping("/comment/cancelAdmire")
    public boolean cancelAdmireComment(Long commentId) {
        return commentService.cancelAdmireComment(commentId);
    }

    @Override
    @GetMapping("/comment/list")
    public Page<CommentVO> getCommentList(Long studentCaseId, Integer pageNo, Integer pageSize) {
        return commentService.getCommentList(studentCaseId, pageNo, pageSize);
    }

    @Override
    @GetMapping("/comment/replyList")
    public Page<CommentReplyVO> getReplyList(Long commentId, Integer pageNo, Integer pageSize) {
        return commentReplyService.getReplyList(commentId, pageNo, pageSize);
    }
}
