package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-03
 */
@Data
@ApiModel(value = "CaseLibrary", description = "")
@TableName("case_library")
public class CaseLibrary {

    private static final long serialVersionUID = 1L;


	private Long id;

	private String name;

    @ApiModelProperty(value = "封面图片url")
	@TableField("logo_url")
	private String logoUrl;

    @ApiModelProperty("开始时间")
    @TableField("start_time")
    private Date startTime;

    @ApiModelProperty("结束时间")
    @TableField("end_time")
    private Date endTime;

	@ApiModelProperty("可见范围类型 1:全平台可见 2:指定范围")
	@TableField("visible_range")
	private Integer visibleRange;

    @ApiModelProperty(value = "培训项目id")
	@TableField("training_project_id")
	private Long trainingProjectId;

    @ApiModelProperty(value = "案例要求")
	private String explanation;

    @ApiModelProperty(value = "文本编辑形式:1文本编辑框, 2导入外部文档格式doc docx pdf")
	@TableField("text_edit_type")
	private Integer textEditType;

	@ApiModelProperty(value = "必须提交人导入附件阿里云地址")
	@TableField("submitter_url")
	private String submitterUrl;

	@ApiModelProperty(value = "必须提交人导入附件名称")
	@TableField("submitter_access_name")
	private String submitterAccessName;

	@ApiModelProperty(value = "审核人导入附件阿里云地址")
	@TableField("auditor_url")
	private String auditorUrl;

	@ApiModelProperty(value = "审核人导入附件名称")
	@TableField("auditor_access_name")
	private String auditorAccessName;

	@ApiModelProperty("审核人权限 0:不允许修改分类 1:允许修改分类")
	@TableField("auditor_authorize")
	private Integer auditorAuthorize;

	@ApiModelProperty(value = "评分人导入附件阿里云地址")
	@TableField("scorer_url")
	private String scorerUrl;

	@ApiModelProperty(value = "评分人导入附件名称")
	@TableField("scorer_access_name")
	private String scorerAccessName;

    @ApiModelProperty(value = "通过审核后 获得积分")
	private Integer point;

    @ApiModelProperty(value = "学员端显示类型 1:通过后自动上架, 2:通过需要手动上架")
	private Integer examine;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "0:删除,1:草稿,2:上架,3:下架")
	private Integer state;

    @ApiModelProperty("得分规则 1:平均分 2:最高分 3:任意一人得分 4:多维度打分")
    @TableField("score_rule")
    private Integer scoreRule;

	@ApiModelProperty("是否可修改得分规则 0:不可修改 1:可修改")
	@TableField("can_modify_score_rule")
	private Integer canModifyScoreRule;

	@ApiModelProperty("是否显示打分:0否，1是")
	@TableField("show_score")
	private Integer showScore;

	@ApiModelProperty(value = "评分说明")
	@TableField("case_library_dimension_grade_description")
	private String caseLibraryDimensionGradeDescription;

	@ApiModelProperty(value = "作品封面是否必填 80：必填 默认； 40：非必填")
	@TableField("product_cover")
	private Integer productCover;

}
