package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 考试人员范围
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-25
 */
@Data
@ApiModel(value = "CaseLibraryAuthorize", description = "考试人员范围")
@TableName("case_library_authorize")
public class CaseLibraryAuthorize {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "学员案例_ID，外键")
	@TableField("case_library_id")
	private Long caseLibraryId;

    @ApiModelProperty(value = "1：用户 、2：组织")
	private Integer type;

    @ApiModelProperty(value = "存放人或组织的ID")
	@TableField("relation_id")
	private Long relationId;

    @ApiModelProperty(value = "角色名称")
	private String name;

    @ApiModelProperty(value = "0删除 1有效，默认有效")
	@TableLogic
	private Integer state;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "创建人ID")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

    @ApiModelProperty(value = "创建人姓名")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "修改时间")
	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

    @ApiModelProperty(value = "修改人姓名")
	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;



}
