package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 原创活动多维度打分设置
 * </p>
 *
 * @author shengchenglong123
 * @since 2020-08-05
 */
@Data
@Api(tags = "CaseLibraryDimensionGrade", description = "原创活动多维度打分设置")
@TableName("case_library_dimension_grade")
public class CaseLibraryDimensionGrade extends Model<CaseLibraryDimensionGrade> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "原创活动id")
    @TableField("case_library_id")
    private Long caseLibraryId;

    @ApiModelProperty(value = "维度名称")
    private String name;

    @ApiModelProperty(value = "分值区间左值")
    @TableField("min_score")
    private Integer minScore;

    @ApiModelProperty(value = "分值区间右值")
    @TableField("max_score")
    private Integer maxScore;

    @ApiModelProperty(value = "0为删除，1已删除")
    private Integer deleted;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @TableField("company_id")
    private Long companyId;

    @TableField("site_id")
    private Long siteId;

    @TableField("org_id")
    private Long orgId;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.UPDATE)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.UPDATE)
    private String updateByName;

    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
