package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 案例库关联维度表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-05
 */
@Data
@ApiModel(value = "CaseLibraryRelatedClassify", description = "案例库关联维度表")
@TableName("case_library_related_classify")
public class CaseLibraryRelatedClassify {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "案例活动id")
	@TableField("case_lirary_id")
	private Long caseLiraryId;

    @ApiModelProperty(value = "维度id")
	@TableField("classify_id")
	private Long classifyId;

	@ApiModelProperty(value = "维度名称")
	@TableField("classify_name")
	private String classifyName;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @ApiModelProperty(value = "0:删除,1:未删除")
	@TableLogic
	private Integer state;



}
