package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 案例学习记录表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
@Data
@ApiModel(value = "CaseStudyRecode", description = "案例学习记录表")
@TableName("case_study_recode")
public class CaseStudyRecode {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "学生案例id")
	@TableField("student_case_id")
	private Long studentCaseId;

	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "0:未完成 1:已完成")
	@TableField("finish_state")
	@TableLogic
	private Integer finishState;

    @ApiModelProperty(value = "完成时间")
	@TableField("finish_time")
	private Date finishTime;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

}
