package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 举报记录表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
@Data
@ApiModel(value = "InformRecorde", description = "举报记录表")
@TableName("inform_recorde")
public class InformRecorde {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "学生案例id")
	@TableField("student_case_id")
	private Long studentCaseId;

	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "0:移除 1:举报")
	@TableLogic
	private Integer state;

    @ApiModelProperty(value = "举报时间")
	@TableField("inform_time")
	private Date informTime;

    @ApiModelProperty(value = "举报截图url")
	@TableField("picture_url")
	private String pictureUrl;

	@ApiModelProperty(value = "举报描述")
	private String description;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

}
