package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("statistic_student_case_account")
public class StatisticStudentCaseAccount {

    private static final long serialVersionUID = 1L;

	private Long id;
	
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
	@TableField("account_id")
    private Long accountId;
    
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
	@TableField("account_name")
    private String accountName;
    
    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
	@TableField("full_name")
    private String fullName;
    
    /**
     *职务
     */
    @ApiModelProperty(value = "职务")
	@TableField("position")
    private String position;
    
    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
	@TableField("org_id")
    private Long orgId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
	@TableField("org_name")
    private String orgName;
    
    /**
     * 父部门/当前部门
     */
    @ApiModelProperty(value = " 父部门/当前部门")
	@TableField("org_names")
    private String orgNames;
    
    /**
     * 必须提交数
     */
    @ApiModelProperty(value = "必须提交数")
	@TableField("must_submit_num")
    private Long mustSubmitNum;
    
    /**
     * 实际提交数
     */
    @ApiModelProperty(value = "实际提交数")
	@TableField("submit_num")
    private Long submitNum;
    
    /**
     * 精选案例数
     */
    @ApiModelProperty(value = "精选案例数")
	@TableField("case_num")
    private Long caseNum;
    
    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
	@TableField("ups")
    private Long ups;
    
    /**
     * 获赞数
     */
    @ApiModelProperty(value = "获赞数")
	@TableField("up_num")
    private Long upNum;
    
    /**
     * 举报数
     */
    @ApiModelProperty(value = "举报数")
	@TableField("informs")
    private Long informs;
    
    /**
     * 举报数
     */
    @ApiModelProperty(value = "被举报数")
	@TableField("inform_num")
    private Long informNum;
    
    /**
     * 学习量
     */
    @ApiModelProperty(value = "学习量")
	@TableField("study_num")
    private Long studyNum;
    
    /**
     * 用户状态
     */
    @ApiModelProperty(value = "用户状态")
	@TableField("status")
    private String status;
    
    /**
     * 待审核数
     */
    @ApiModelProperty(value = "待审核数")
	@TableField("audit_num")
    private Long auditNum;
    
    /**
     * 不通过数
     */
    @ApiModelProperty(value = "不通过数")
	@TableField("no_audit_num")
    private Long noAuditNum;
    
    /**
     * 待评分数
     */
    @ApiModelProperty(value = "待评分数")
	@TableField("no_score_num")
    private Long noScoreNum;
    
    /**
     * 已评分数
     */
    @ApiModelProperty(value = "已评分数")
	@TableField("score_num")
    private Long scoreNum;
    
    /**
     *企业id
     */
    @ApiModelProperty(value = "企业id")
	@TableField("company_id")
    private Long companyId;
    
    /**
     * 站点id
     */
    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
    private Long siteId;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
	@TableField("create_time")
    private Date createTime;
}
