package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学生案例表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-09
 */
@Data
@ApiModel(value = "StudentCase", description = "学生案例表")
@TableName("student_case")
public class StudentCase {

    private static final long serialVersionUID = 1L;


	private Long id;

	private String title;

    @ApiModelProperty(value = "关联案列活动id")
	@TableField("case_library_id")
	private Long caseLibraryId;

	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "学员案例封面url")
	@TableField("logo_url")
	private String logoUrl;

    @ApiModelProperty("关键字")
    @TableField("keywords")
    private String keywords;

	@ApiModelProperty("得分规则")
	@TableField("score_rule")
	private Integer scoreRule;

	@ApiModelProperty(value = "文本提交类型 1:富文本编辑 2:附件上传")
	@TableField("text_edit_type")
	private Integer textEditType;

    @ApiModelProperty(value = "学员案例内容")
	private String content;

	@ApiModelProperty(value = "学员案例内容")
	@TableField("content_file_name")
	private String contentFileName;

	@ApiModelProperty(value = "外部文档上传阿里云url")
	@TableField("pdf_oss_url")
	private String pdfOssUrl;

    @ApiModelProperty(value = "附件url")
	@TableField("accessory_url")
	private String accessoryUrl;

    @ApiModelProperty(value = "评分状态 0:待评分 1:已评分")
	@TableField("score_state")
	private Integer scoreState;

	@ApiModelProperty(value = "是否完成所有评分 0:未完成 1:已完成")
	@TableField("is_finished_score")
	private Integer isFinishedScore;

    @ApiModelProperty(value = "得分")
	private Integer score;

    @ApiModelProperty(value = "学员端显示类型 1:通过后自动上架, 2:通过需要手动上架")
	private Integer examine;

    @ApiModelProperty(value = "举报状态 0:未举报 1:被举报")
	@TableField("inform_state")
	private Integer informState;

    @ApiModelProperty(value = "审核状态0:待审核  1:审核通过 2:审核不通过")
	@TableField("audit_state")
	private Integer auditState;

    @ApiModelProperty(value = "审核反馈")
	@TableField("audit_evaluate")
	private String auditEvaluate;

	@ApiModelProperty(value = "审核人是否可修改分类 0:不可修改 1:可修改")
	@TableField("auditor_authorize")
	private Integer auditorAuthorize;

	@ApiModelProperty(value = "可见范围类型 1:全平台可见 2:指定范围")
	@TableField("visible_range")
	private Integer visibleRange;

    @ApiModelProperty(value = "0:删除,1:提交待审核,2:上架,3:下架,4草稿")
	private Integer state;

	@ApiModelProperty(value = "审核时间")
	@TableField("audit_time")
	private Date auditTime;

	@ApiModelProperty(value = "提交时间")
	@TableField("submit_time")
	private Date submitTime;

	@ApiModelProperty(value = "最近修改时间")
	@TableField("last_modify_time")
	private Date lastModifyTime;

	@ApiModelProperty(value = "代提交人id")
	@TableField("diplomatic_agent_id")
	private Long diplomaticAgentId;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

	@TableField("read_num")
	private Long readNum;

	@TableField("admire_num")
	private Long admireNum;

}
