package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *   学员案例附件类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-19
 */
@Data
@ApiModel(value = "StudentCaseAccessary", description = "学员案例附件类")
@TableName("student_case_accessary")
public class StudentCaseAccessary {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "学员案例id")
	@TableField("student_case_id")
	private Long studentCaseId;

    @ApiModelProperty(value = "附件名称 ")
	private String name;

    @ApiModelProperty(value = "文件大小")
	@TableField("file_size")
	private String fileSize;

    @ApiModelProperty(value = "附件url")
	private String url;

    @ApiModelProperty(value = "附件状态 0：已删除、1：未删除")
	private Integer state;

    @ApiModelProperty(value = "创建者id")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

    @ApiModelProperty(value = "创建者名称")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "更新者id")
	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

    @ApiModelProperty(value = "修改者名称")
	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

    @ApiModelProperty(value = "修改时间")
	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "组织id")
	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "企业id")
	@TableField("company_id")
	private Long companyId;

    @ApiModelProperty(value = "转码MP4/MP3流畅地址")
	@TableField("video_ld")
	private String videoLd;

    @ApiModelProperty(value = "转码MP4/MP3标清地址")
	@TableField("video_sd")
	private String videoSd;

    @ApiModelProperty(value = "转码MP4/MP3高清地址")
	@TableField("video_hd")
	private String videoHd;

    @ApiModelProperty(value = "转换状态，0否，1是")
	@TableField("convert_state")
	private Integer convertState;



}
