package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author shengchenglong123
 * @since 2020-08-05
 */
@Data
@Api(tags = "StudentCaseDimensionGradeRecord", description = "")
@TableName("student_case_dimension_grade_record")
public class StudentCaseDimensionGradeRecord extends Model<StudentCaseDimensionGradeRecord> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "评分维度id")
    @TableField("case_library_dimension_grade_id")
    private Long caseLibraryDimensionGradeId;

    @ApiModelProperty(value = "学员id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "评阅人id")
    @TableField("scorer_id")
    private Long scorerId;

    @ApiModelProperty(value = "冗余case_library_id")
    @TableField("case_library_id")
    private Long caseLibraryId;

    @ApiModelProperty(value = "学员提交案例id")
    @TableField("student_case_id")
    private Long studentCaseId;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "0为删除，1已删除")
    private Integer deleted;

    @TableField("company_id")
    private Long companyId;

    @TableField("site_id")
    private Long siteId;

    @TableField("org_id")
    private Long orgId;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.UPDATE)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.UPDATE)
    private String updateByName;

    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
