package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学生案例关联分类表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-09
 */
@Data
@ApiModel(value = "StudentCaseRelatedClassify", description = "学生案例关联分类表")
@TableName("student_case_related_classify")
public class StudentCaseRelatedClassify {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "学生案例id")
	@TableField("student_case_id")
	private Long studentCaseId;

    @ApiModelProperty(value = "一级或者二级,分类id")
	@TableField("classify_id")
	private Long classifyId;

    @ApiModelProperty(value = "1:一级分类 2:二级分类")
	private Integer level;

    @ApiModelProperty(value = "父级分类id")
	@TableField("classify_parent_id")
	private Long classifyParentId;

	@ApiModelProperty(value = "维度id")
	@TableField("root_id")
	private Long rootId;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "0:删除,1:未删除")
	@TableLogic
	private Integer state;



}
