package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.CaseLibraryAuthorize;
import com.yizhi.library.application.vo.CaselibraryAuthorizeVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考试人员范围 Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-25
 */
public interface CaseLibraryAuthorizeMapper extends BaseMapper<CaseLibraryAuthorize> {

    /**
     * 获取该用户指定可见范围的案例活动id
     *
     * @param accountId
     * @param relationIds
     * @return
     */
    List<Long> getAuthorizeIds(@Param("accountId") Long accountId, @Param("relationIds") List<Long> relationIds);

    /**
     * 案例活动获取指定范围
     * @param caselibraryId
     * @return
     */
    List<CaselibraryAuthorizeVO> getAuthorize(@Param("caselibraryId") Long caselibraryId);
}
