package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.CaseLibraryDimensionGrade;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 原创活动多维度打分设置 Mapper 接口
 * </p>
 *
 * @author shengchenglong123
 * @since 2020-08-05
 */
public interface CaseLibraryDimensionGradeMapper extends BaseMapper<CaseLibraryDimensionGrade> {


    /**
     * 获取最多纬度条数
     * @param siteId
     * @return
     */
    @Select("SELECT\n" +
            "\tmax( num ) \n" +
            "FROM\n" +
            "\t( SELECT count( * ) num FROM case_library_dimension_grade WHERE deleted = 0 AND site_id = #{siteId} GROUP BY case_library_id ) a")
    Integer getMaxDimensionGradeNum(@Param("siteId") Long siteId);

}
