package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.CaseLibraryRelatedClassify;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 案例库关联维度表 Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-05
 */
public interface CaseLibraryRelatedClassifyMapper extends BaseMapper<CaseLibraryRelatedClassify> {

    /**
     * 查找分类关联的案例活动
     * @param classifyId
     * @return
     */
    List<CaseLibraryRelatedClassify> getRelatedList(@Param("classifyId") Long classifyId);

    /**
     * 获取案例活动关联维度列表
     * @param caseLibraryId
     * @return
     */
    List<CaseLibraryRelatedClassify> getRelatedClassify(@Param("caseLibraryId") Long caseLibraryId);

    /**
     * 删除取消关联的分类
     * @param caseLibraryId
     * @param notDeleteIdList
     */
    void deleteNotClassifyList(@Param("caseLibraryId") Long caseLibraryId,@Param("notDeleteIdList") List<Long> notDeleteIdList);
}
