package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.library.application.domain.Classify;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-03
 */
public interface ClassifyMapper extends BaseMapper<Classify> {


    /**
     * 新建分类获取排序
     *
     * @param parentId
     * @param companyId
     * @param siteId
     * @return
     */
    Integer getSort(@Param("parentId") Long parentId, @Param("companyId") Long companyId, @Param("siteId") Long siteId);

    /**
     * 上移下移获取上一个分类
     * @param parentId
     * @param sort
     * @param companyId
     * @param siteId
     * @param page
     * @return
     */
    List<Classify> getPreClassify(@Param("parentId") Long parentId, @Param("sort") Integer sort,
                                  @Param("companyId") Long companyId, @Param("siteId") Long siteId, Page<Classify> page);

    /**
     * 上移下移获取下一个分类
     * @param parentId
     * @param sort
     * @param companyId
     * @param siteId
     * @param page
     * @return
     */
    List<Classify> getSuffixClassify(@Param("parentId") Long parentId, @Param("sort") Integer sort,
                                     @Param("companyId") Long companyId, @Param("siteId") Long siteId, Page<Classify> page);
}
