package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.library.application.domain.Comment;
import com.yizhi.library.application.vo.CommentReplyVO;
import com.yizhi.library.application.vo.CommentVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
public interface CommentMapper extends BaseMapper<Comment> {

    /**
     * 获取评论列表
     *
     * @param studentCaseId
     * @param accountId
     * @param page
     * @return
     */
    List<CommentVO> getCommentList(@Param("studentCaseId") Long studentCaseId,@Param("accountId") Long accountId, Page<CommentVO> page);

    /**
     * 获取评论管理列表
     *
     * @param studentCaseId
     * @param accountIds
     * @param state
     * @param companyId
     * @param siteId
     * @param page
     * @return
     */
    List<CommentVO> getCommentManageList(@Param("studentCaseId") Long studentCaseId,
                                         @Param("accountIds") List<Long> accountIds,
                                         @Param("state") Integer state,
                                         @Param("companyId") Long companyId,
                                         @Param("siteId") Long siteId, Page<CommentVO> page);

    /**
     * 获取评论回复列表
     *
     * @param accountIds
     * @param state
     * @param commentId
     * @return
     */
    List<CommentReplyVO> getCommentReplyList(@Param("accountIds") List<Long> accountIds,
                                             @Param("state") Integer state,
                                             @Param("commentId") Long commentId);

    /**
     * 评论下架
     *
     * @param id
     * @return
     */
    boolean putDown(@Param("id") Long id);

    /**
     * 评论上架
     *
     * @param id
     * @return
     */
    boolean release(@Param("id") Long id);

    /**
     * 评论信息下载,获取回复列表
     * @param commentId
     * @param state
     * @param accountIds
     * @return
     */
    List<CommentVO> getCommentReplyDownLoadList(@Param("commentId") Long commentId,@Param("state") Integer state,@Param("accountIds") List<Long> accountIds);
}
