package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.library.application.domain.CommentReply;
import com.yizhi.library.application.vo.CommentReplyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
public interface CommentReplyMapper extends BaseMapper<CommentReply> {

    /**
     * 获取回复列表
     * @param commentId
     * @param page
     * @return
     */
    List<CommentReplyVO> getReplyList(@Param("commentId") Long commentId, Page<CommentReplyVO> page);

    /**
     * 回复下架
     * @param id
     * @return
     */
    boolean putDown(@Param("id") Long id);

    /**
     * 回复上架
     * @param id
     * @return
     */
    boolean release(@Param("id") Long id);
}
