package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.StudentCaseAccessary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-19
 */
public interface StudentCaseAccessaryMapper extends BaseMapper<StudentCaseAccessary> {

    /**
     * 删除对应附件
     * @param studentCaseId
     */
    void deleteAccessary(@Param("studentCaseId") Long studentCaseId);

    /**
     * 通知案例微服务该附件是视频/音频文件,等待转码
     * @param ids
     * @return
     */
    boolean verifyVedio(@Param("ids") List<Long> ids);

    /**
     * 更新视频/音频转码url
     * @param id
     * @param videoLd
     * @param videoHd
     * @param videoSd
     * @return
     */
    boolean updateTranscodeUrl(@Param("id") Long id,
                               @Param("videoLd") String videoLd,
                               @Param("videoHd") String videoHd,
                               @Param("videoSd") String videoSd);
}
