package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.StudentCaseDimensionGradeRecord;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author shengchenglong123
 * @since 2020-08-05
 */
public interface StudentCaseDimensionGradeRecordMapper extends BaseMapper<StudentCaseDimensionGradeRecord> {

    @Select("select AVG(score) from student_case_dimension_grade_record " +
            "where " +
            "deleted = 0 " +
            "and account_id = #{accountId} " +
            "and case_library_dimension_grade_id = #{caseLibraryDimensionGradeId} " +
            "and student_case_id = #{studentCaseId}")
    Double getAverageScore(@Param("accountId") Long accountId, @Param("caseLibraryDimensionGradeId") Long caseLibraryDimensionGradeId, @Param("studentCaseId") Long studentCaseId);

    @Update("update student_case_dimension_grade_record set deleted = 1 " +
            "where case_library_dimension_grade_id = #{caseLibraryDimensionGradeId}")
    Integer deleteNotAdminRecord(@Param("caseLibraryDimensionGradeId") Long caseLibraryDimensionGradeId);
}
