package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.StudentCaseRelatedClassify;
import com.yizhi.library.application.vo.StudentRelatedClassifyVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 学生案例关联分类表 Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-09
 */
public interface StudentCaseRelatedClassifyMapper extends BaseMapper<StudentCaseRelatedClassify> {

    /**
     * 获取学员案例在某个维度下关联的分类名称以及关联主体id
     *
     * @param rootId
     * @param studentCaseId
     * @return
     */
    StudentRelatedClassifyVO getRelatedClassify(@Param("rootId") Long rootId, @Param("studentCaseId") Long studentCaseId);

    /**
     * 查找一级或者二级分类是否被学员案例关联
     * @param classifyId
     * @return
     */
    Integer getIsRelated(@Param("classifyId") Long classifyId);
}
