package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.StudentCaseScoreRecorde;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 案例学习记录表 Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-19
 */
public interface
StudentCaseScoreRecordeMapper extends BaseMapper<StudentCaseScoreRecorde> {

    /**
     * 获取学员案例指定打分人未打分人数
     *
     * @param studentCaseId
     * @return
     */
    Integer getUnscoredCount(@Param("studentCaseId") Long studentCaseId);

    /**
     * 获取平均分
     *
     *
     * @param caseLibraryId
     * @param accountId
     * @param studentCaseId
     * @return
     */
    Integer getAverageScore(@Param("caseLibraryId") Long caseLibraryId,@Param("accountId") Long accountId, @Param("studentCaseId") Long studentCaseId);

    /**
     * 获取最高分
     *
     *
     * @param caseLibraryId
     * @param accountId
     * @param studentCaseId
     * @return
     */
    Integer getMaxScore(@Param("caseLibraryId") Long caseLibraryId,@Param("accountId") Long accountId, @Param("studentCaseId") Long studentCaseId);

    /**
     * 更新评分记录
     *
     * @param studentCaseId
     * @param accountId
     * @param score
     *
     * @return
     */
    boolean updateScoreRcorde(@Param("studentCaseId") Long studentCaseId, @Param("accountId") Long accountId, @Param("score") Integer score);
}
