package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.CaseLibraryRelatedClassify;

import java.util.List;

/**
 * <p>
 * 案例库关联维度表 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-05
 */
public interface ICaseLibraryRelatedClassifyService extends IService<CaseLibraryRelatedClassify> {

    /**
     * 查看维度分类是否关联了案例活动(案例活动为草稿/上架/下架状态)
     * @param id
     * @return
     */
    boolean getIsRelated(Long id);

    /**
     * 获取案例活动关联维度列表
     * @param caseLibraryId
     * @return
     */
    List<CaseLibraryRelatedClassify> getRelatedClassify(Long caseLibraryId);

    /**
     * 删除取消关联的分类
     * @param caseLibraryId
     * @param notDeleteIdList
     */
    void deleteNotClassifyList(Long caseLibraryId,List<Long> notDeleteIdList);
}
