package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.core.application.vo.DroolsVo;
import com.yizhi.library.application.domain.Classify;
import com.yizhi.library.application.vo.ClassifyListVO;
import com.yizhi.library.application.vo.ClassifyVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-03
 */
public interface IClassifyService extends IService<Classify> {

    /**
     * 新建分类
     * @param classify
     * @return
     */
    Integer insertClassify(ClassifyVO classify);

    /**
     * 获取分类列表
     * @return
     */
    List<ClassifyListVO> getClassifyList();

    /**
     * 上移下移获取上一个分类
     * @param classifyId
     * @param parentId
     * @param sort
     * @param companyId
     * @param siteId
     * @return
     */
    Classify getPreClassify(Long classifyId, Long parentId, Integer sort, Long companyId, Long siteId);

    /**
     * 上移下移获取下一个分类
     * @param classifyId
     * @param parentId
     * @param sort
     * @param companyId
     * @param siteId
     * @return
     */
    Classify getSuffixClassify(Long classifyId, Long parentId, Integer sort, Long companyId, Long siteId);

    Page<DroolsVo> getClassifyNameByDrools(String field, String value, Page<DroolsVo> page);
}
