package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.StudentCaseRelatedClassify;
import com.yizhi.library.application.vo.StudentRelatedClassifyVO;

/**
 * <p>
 * 学生案例关联分类表 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-09
 */
public interface IStudentCaseRelatedClassifyService extends IService<StudentCaseRelatedClassify> {

    /**
     * 获取学员案例在某个维度下关联的分类名称以及关联主体id
     * @param rootId
     * @param studentCaseId
     * @return
     */
    StudentRelatedClassifyVO getRelatedClassify(Long rootId, Long studentCaseId);

    /**
     * 查找一级或者二级分类是否被学员案例关联
     * @param classifyId
     * @return
     */
    boolean getIsRelated(Long classifyId);
}
