package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.library.application.domain.StatisticStudentCaseAccount;
import com.yizhi.library.application.domain.StatisticStudentCaseOrg;
import com.yizhi.library.application.vo.StatisticStudentCaseVO;

public interface IStudentCaseReportService {

    /**
     * 学员案例报表
     * @param startDate
     * @param endDate
     * @param kwd
     * @param pageSize
     * @param pageNo
     * @return
     */
    Page<StatisticStudentCaseVO> studentCaseList(String startDate, String endDate, String kwd, Long siteId, Integer pageSize, Integer pageNo);

    /**
     * 学员案例报表按用户统计
     * @param kwd
     * @param pageSize
     * @param pageNo
     * @return
     */
    Page<StatisticStudentCaseAccount> studentCaseByAccount(String kwd, Long siteId, Integer pageSize, Integer pageNo);

    /**
     * 学员案例报表按部门统计
     * @param kwd
     * @param pageSize
     * @param pageNo
     * @return
     */
    Page<StatisticStudentCaseOrg> studentCaseByOrg(String kwd, Long siteId, Integer pageSize, Integer pageNo);
}
