package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.StudentCaseScoreRecorde;

/**
 * <p>
 * 案例学习记录表 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-19
 */
public interface IStudentCaseScoreRecordeService extends IService<StudentCaseScoreRecorde> {

    /**
     * 获取学员案例指定打分人未打分人数
     * @param studentCaseId
     * @return
     */
    Integer getUnscoredCount(Long studentCaseId);

    /**
     * 获取平均分
     *
     * @param caseLibraryId
     * @param accountId
     * @param studentCaseId
     * @return
     */
    Integer getAverageScore(Long caseLibraryId, Long accountId, Long studentCaseId);

    /**
     * 获取最高分
     *
     * @param caseLibraryId
     * @param accountId
     * @param studentCaseId
     * @return
     */
    Integer getMaxScore(Long caseLibraryId, Long accountId, Long studentCaseId);

    /**
     * 更新评分记录
     * @param studentCaseId
     * @param accountId
     * @param score
     */
    Boolean updateScoreRcorde(Long studentCaseId, Long accountId, Integer score);
}
