package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.library.application.domain.AdmireRecorde;
import com.yizhi.library.application.mapper.AdmireRecordeMapper;
import com.yizhi.library.application.service.IAdmireRecordeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 点赞记录表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
@Service
public class AdmireRecordeServiceImpl extends ServiceImpl<AdmireRecordeMapper, AdmireRecorde> implements IAdmireRecordeService {

    @Autowired
    private IdGenerator idGenerator;

    @Autowired
    AdmireRecordeMapper admireRecordeMapper;

    @Override
    public boolean admireStudentCase(Long studentCaseId) {

        RequestContext res = ContextHolder.get();

        AdmireRecorde admireRecorde = new AdmireRecorde();
        admireRecorde.setId(idGenerator.generate());
        admireRecorde.setStudentCaseId(studentCaseId);
        admireRecorde.setAccountId(res.getAccountId());
        admireRecorde.setState(1);
        admireRecorde.setCreateById(res.getAccountId());
        admireRecorde.setCreateByName(res.getAccountName());
        admireRecorde.setCreateTime(new Date());
        admireRecorde.setUpdateById(res.getAccountId());
        admireRecorde.setUpdateByName(res.getAccountName());
        admireRecorde.setUpdateTime(new Date());
        admireRecorde.setCompanyId(res.getCompanyId());
        admireRecorde.setOrgId(res.getOrgId());
        admireRecorde.setSiteId(res.getSiteId());
        return this.insert(admireRecorde);
    }

    @Override
    public boolean cancelAdmireStudentCase(Long studentCaseId) {

        RequestContext res = ContextHolder.get();

        AdmireRecorde admireRecorde = new AdmireRecorde();
        admireRecorde.setStudentCaseId(studentCaseId);
        admireRecorde.setAccountId(res.getAccountId());
        return this.delete(new EntityWrapper<>(admireRecorde));
    }
}
