package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.library.application.domain.Auditor;
import com.yizhi.library.application.mapper.AuditorMapper;
import com.yizhi.library.application.service.IAuditorService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-08
 */
@Service
public class AuditorServiceImpl extends ServiceImpl<AuditorMapper, Auditor> implements IAuditorService {

    @Autowired
    private IdGenerator idGenerator;

    @Override
    public boolean insertList(List<Auditor> auditorImportList) {

        if (CollectionUtils.isNotEmpty(auditorImportList)){
            Auditor auditor1 = new Auditor();
            auditor1.setCaseLibraryId(auditorImportList.get(0).getCaseLibraryId());
            this.delete(new EntityWrapper<>(auditor1));
            for (Auditor auditor : auditorImportList){
                auditor.setId(idGenerator.generate());
            }
            return this.insertBatch(auditorImportList);
        }else {
            return false;
        }
    }
}
