package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.library.application.domain.CaseLibraryAuthorize;
import com.yizhi.library.application.vo.CaselibraryAuthorizeVO;
import com.yizhi.library.application.mapper.CaseLibraryAuthorizeMapper;
import com.yizhi.library.application.service.ICaseLibraryAuthorizeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 考试人员范围 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-25
 */
@Service
public class CaseLibraryAuthorizeServiceImpl extends ServiceImpl<CaseLibraryAuthorizeMapper, CaseLibraryAuthorize> implements ICaseLibraryAuthorizeService {

    @Autowired
    private CaseLibraryAuthorizeMapper caseLibraryAuthorizeMapper;

    @Override
    public List<Long> getAuthorizeIds(Long accountId, List<Long> relationIds) {
        return caseLibraryAuthorizeMapper.getAuthorizeIds(accountId, relationIds);
    }

    @Override
    public List<CaselibraryAuthorizeVO> getAuthorize(Long caselibraryId) {
        return caseLibraryAuthorizeMapper.getAuthorize(caselibraryId);
    }
}
