package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.library.application.domain.CaseLibraryRelatedClassify;
import com.yizhi.library.application.mapper.CaseLibraryRelatedClassifyMapper;
import com.yizhi.library.application.service.ICaseLibraryRelatedClassifyService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 案例库关联维度表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-05
 */
@Service
public class CaseLibraryRelatedClassifyServiceImpl extends ServiceImpl<CaseLibraryRelatedClassifyMapper, CaseLibraryRelatedClassify> implements ICaseLibraryRelatedClassifyService {

    @Autowired
    private CaseLibraryRelatedClassifyMapper caseLibraryRelatedClassifyMapper;

    @Override
    public boolean getIsRelated(Long classifyId) {
        Page<CaseLibraryRelatedClassify> page = new Page<>(1, 1);
        List<CaseLibraryRelatedClassify> list = caseLibraryRelatedClassifyMapper.getRelatedList(classifyId);
        if (CollectionUtils.isNotEmpty(list)) {
            return true;
        } else {
            return false;
        }
    }

    @Override
    public List<CaseLibraryRelatedClassify> getRelatedClassify(Long caseLibraryId) {
        return caseLibraryRelatedClassifyMapper.getRelatedClassify(caseLibraryId);
    }

    @Override
    public void deleteNotClassifyList(Long caseLibraryId, List<Long> notDeleteIdList) {
        caseLibraryRelatedClassifyMapper.deleteNotClassifyList(caseLibraryId, notDeleteIdList);
    }
}
