package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.library.application.domain.Favorite;
import com.yizhi.library.application.mapper.FavoriteMapper;
import com.yizhi.library.application.service.IFavoriteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 收藏记录表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
@Service
public class FavoriteServiceImpl extends ServiceImpl<FavoriteMapper, Favorite> implements IFavoriteService {

    @Autowired
    private IdGenerator idGenerator;


    @Override
    public boolean favorite(Long studentCaseId) {

        RequestContext res = ContextHolder.get();

        Favorite favorite = new Favorite();
        favorite.setId(idGenerator.generate());
        favorite.setBizId(studentCaseId);
        favorite.setAccountId(res.getAccountId());
        favorite.setType(1);
        favorite.setState(1);
        favorite.setCreateById(res.getAccountId());
        favorite.setCreateByName(res.getAccountName());
        favorite.setCreateTime(new Date());
        favorite.setUpdateById(res.getAccountId());
        favorite.setUpdateByName(res.getAccountName());
        favorite.setUpdateTime(new Date());
        favorite.setCompanyId(res.getCompanyId());
        favorite.setSiteId(res.getSiteId());
        favorite.setOrgId(res.getOrgId());

        return this.insert(favorite);
    }

    @Override
    public boolean cancelFavorite(Long studentCaseId) {

        RequestContext res = ContextHolder.get();

        Favorite favorite = new Favorite();
        favorite.setBizId(studentCaseId);
        favorite.setAccountId(res.getAccountId());
        favorite.setType(1);

        return this.delete(new EntityWrapper<>(favorite));
    }
}
