package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.library.application.domain.InformRecorde;
import com.yizhi.library.application.mapper.InformRecordeMapper;
import com.yizhi.library.application.param.InformParam;
import com.yizhi.library.application.service.IInformRecordeService;
import com.yizhi.library.application.util.Util;
import com.yizhi.library.application.vo.InformVO;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 举报记录表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
@Service
public class InformRecordeServiceImpl extends ServiceImpl<InformRecordeMapper, InformRecorde> implements IInformRecordeService {

    @Autowired
    private IdGenerator idGenerator;

    @Autowired
    private InformRecordeMapper informRecordeMapper;

    @Override
    public boolean inform(InformParam informParam) {

        RequestContext res = ContextHolder.get();

        InformRecorde informRecorde = new InformRecorde();
        informRecorde.setId(idGenerator.generate());
        informRecorde.setStudentCaseId(informParam.getStudentCaseId());
        informRecorde.setAccountId(res.getAccountId());
        informRecorde.setState(1);
        informRecorde.setInformTime(new Date());
        informRecorde.setDescription(informParam.getInformDescription());
        informRecorde.setCreateById(res.getAccountId());
        informRecorde.setCreateByName(res.getAccountName());
        informRecorde.setCreateTime(new Date());
        informRecorde.setUpdateById(res.getAccountId());
        informRecorde.setUpdateByName(res.getAccountName());
        informRecorde.setUpdateTime(new Date());
        informRecorde.setCompanyId(res.getCompanyId());
        informRecorde.setSiteId(res.getSiteId());
        informRecorde.setOrgId(res.getOrgId());
        //组装截图url
        if (CollectionUtils.isNotEmpty(informParam.getPictureUrlList())){
            String url = Util.listToString(informParam.getPictureUrlList());
            informRecorde.setPictureUrl(url);
        }

        return this.insert(informRecorde);
    }

    @Override
    public List<InformVO> getInformList(Long studentCaseId) {
        return informRecordeMapper.getInformList(studentCaseId);
    }
}
