package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.library.application.domain.MustSubmit;
import com.yizhi.library.application.mapper.MustSubmitMapper;
import com.yizhi.library.application.service.IMustSubmitService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 必须提交人表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-08
 */
@Service
public class MustSubmitServiceImpl extends ServiceImpl<MustSubmitMapper, MustSubmit> implements IMustSubmitService {


    @Autowired
    private IdGenerator idGenerator;

    @Override
    public boolean insertList(List<MustSubmit> mustSubmitList) {
        if (CollectionUtils.isNotEmpty(mustSubmitList)) {
            MustSubmit mustSubmit1 = new MustSubmit();
            mustSubmit1.setCaseLibraryId(mustSubmitList.get(0).getCaseLibraryId());
            this.delete(new EntityWrapper<>(mustSubmit1));
            for (MustSubmit mustSubmit : mustSubmitList) {
                mustSubmit.setId(idGenerator.generate());
            }
            return this.insertBatch(mustSubmitList);
        } else {
            return false;
        }
    }
}
