package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.library.application.domain.Scorer;
import com.yizhi.library.application.mapper.ScorerMapper;
import com.yizhi.library.application.service.IScorerService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-08
 */
@Service
public class ScorerServiceImpl extends ServiceImpl<ScorerMapper, Scorer> implements IScorerService {

    @Autowired
    private IdGenerator idGenerator;

    @Autowired
    private ScorerMapper scorerMapper;

    @Override
    public boolean insertList(List<Scorer> scorerImportList) {

        if (CollectionUtils.isNotEmpty(scorerImportList)) {
            Scorer scorer1 = new Scorer();
            scorer1.setCaseLibraryId(scorerImportList.get(0).getCaseLibraryId());
            this.delete(new EntityWrapper<>(scorer1));
            for (Scorer scorer : scorerImportList) {
                scorer.setId(idGenerator.generate());
            }
            return this.insertBatch(scorerImportList);
        } else {
            return false;
        }
    }

    @Override
    public List<Long> getScorerList(Long caseLibraryId, Long accountId) {
        return scorerMapper.getScorerList(caseLibraryId, accountId);
    }
}
