package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.library.application.domain.StudentCaseAccessary;
import com.yizhi.library.application.mapper.StudentCaseAccessaryMapper;
import com.yizhi.library.application.service.IStudentCaseAccessaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-19
 */
@Service
public class StudentCaseAccessaryServiceImpl extends ServiceImpl<StudentCaseAccessaryMapper, StudentCaseAccessary> implements IStudentCaseAccessaryService {

    @Autowired
    private StudentCaseAccessaryMapper studentCaseAccessaryMapper;

    @Override
    public void deleteAccessary(Long studentCaseId) {
        studentCaseAccessaryMapper.deleteAccessary(studentCaseId);
    }

    @Override
    public boolean verifyVedio(List<Long> ids) {
        return studentCaseAccessaryMapper.verifyVedio(ids);
    }

    @Override
    public boolean updateTranscodeUrl(Map<String, String> map) {

        Long id = Long.valueOf(map.get("id"));
        String videoLd = map.get("ld");
        String videoHd = map.get("hd");
        String videoSd = map.get("sd");

        return studentCaseAccessaryMapper.updateTranscodeUrl(id, videoLd, videoHd, videoSd);
    }
}
