package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.library.application.domain.StudentCaseAuthorize;
import com.yizhi.library.application.mapper.StudentCaseAuthorizeMapper;
import com.yizhi.library.application.service.IStudentCaseAuthorizeService;
import com.yizhi.library.application.vo.StudentCaseAuthorizeVO;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 考试人员范围 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-08-05
 */
@Service
public class StudentCaseAuthorizeServiceImpl extends ServiceImpl<StudentCaseAuthorizeMapper, StudentCaseAuthorize> implements IStudentCaseAuthorizeService {

    @Autowired
    private IdGenerator idGenerator;

    @Autowired
    private StudentCaseAuthorizeMapper studentCaseAuthorizeMapper;

    @Override
    public boolean insertAuthorize(List<StudentCaseAuthorizeVO> studentCaseAuthorizeList) {

        RequestContext res = ContextHolder.get();

        //插入之前,先删除之前的指定范围
        StudentCaseAuthorize studentCaseAuthorize = new StudentCaseAuthorize();
        studentCaseAuthorize.setStudentCaseId(studentCaseAuthorizeList.get(0).getStudentCaseId());
        this.delete(new EntityWrapper<>(studentCaseAuthorize));

        Date date = new Date();

        List<StudentCaseAuthorize> list = new ArrayList<>();
        if (CollectionUtils.isEmpty(studentCaseAuthorizeList)) {
            return true;
        }
        //插入数据
        for (StudentCaseAuthorizeVO studentCaseAuthorize1 : studentCaseAuthorizeList) {
            studentCaseAuthorize1.setId(idGenerator.generate());
            studentCaseAuthorize1.setCreateById(res.getAccountId());
            studentCaseAuthorize1.setCreateByName(res.getAccountName());
            studentCaseAuthorize1.setCreateTime(date);
            studentCaseAuthorize1.setUpdateById(res.getAccountId());
            studentCaseAuthorize1.setUpdateByName(res.getAccountName());
            studentCaseAuthorize1.setUpdateTime(date);
            StudentCaseAuthorize stuAut = new StudentCaseAuthorize();
            BeanUtils.copyProperties(stuAut,studentCaseAuthorize1);
            list.add(stuAut);
        }
        return this.insertBatch(list);
    }

    @Override
    public List<StudentCaseAuthorizeVO> getAuthorize(Long studentCaseId) {

        return studentCaseAuthorizeMapper.getAuthorize(studentCaseId);
    }
}
