package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.library.application.domain.StudentCaseRelatedClassify;
import com.yizhi.library.application.vo.StudentRelatedClassifyVO;
import com.yizhi.library.application.mapper.StudentCaseRelatedClassifyMapper;
import com.yizhi.library.application.service.IStudentCaseRelatedClassifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 学生案例关联分类表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-09
 */
@Service
public class StudentCaseRelatedClassifyServiceImpl extends ServiceImpl<StudentCaseRelatedClassifyMapper, StudentCaseRelatedClassify> implements IStudentCaseRelatedClassifyService {

    @Autowired
    private StudentCaseRelatedClassifyMapper studentCaseRelatedClassifyMapper;

    @Override
    public StudentRelatedClassifyVO getRelatedClassify(Long rootId, Long studentCaseId) {
        return studentCaseRelatedClassifyMapper.getRelatedClassify(rootId, studentCaseId);
    }

    @Override
    public boolean getIsRelated(Long classifyId) {
        if (studentCaseRelatedClassifyMapper.getIsRelated(classifyId) > 0) {
            return true;
        }else {
            return false;
        }
    }
}
