package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.plugins.pagination.PageHelper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.library.application.domain.StatisticStudentCaseAccount;
import com.yizhi.library.application.domain.StatisticStudentCaseOrg;
import com.yizhi.library.application.domain.StudentCase;
import com.yizhi.library.application.mapper.StatisticStudentCaseMapper;
import com.yizhi.library.application.mapper.StudentCaseReportMapper;
import com.yizhi.library.application.service.IStatisticStudentCase;
import com.yizhi.library.application.service.IStatisticStudentCaseAccount;
import com.yizhi.library.application.service.IStatisticStudentCaseOrg;
import com.yizhi.library.application.service.IStudentCaseReportService;
import com.yizhi.library.application.vo.StatisticStudentCaseVO;
import com.yizhi.system.application.system.remote.AccountClient;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StudentCaseReportServiceImpl extends ServiceImpl<StudentCaseReportMapper, StudentCase> implements IStudentCaseReportService {

    @Autowired
    private AccountClient accountClient;

    @Autowired
    private IStatisticStudentCaseAccount statisticStudentCaseAccount;

    @Autowired
    private IStatisticStudentCase statisticStudentCase;

    @Autowired
    private IStatisticStudentCaseOrg statisticStudentCaseOrg;

    @Autowired
    private StatisticStudentCaseMapper studentCaseMapper;

    @Override
    public Page<StatisticStudentCaseVO> studentCaseList(String startDate, String endDate, String kwd, Long siteId,
                                                        Integer pageSize, Integer pageNo) {
//        if (StringUtils.isNotBlank(kwd)) {
////        	kwd = kwd.trim();
////        }
////		Page<StatisticStudentCase> page = new Page<>();
////		if (null != pageSize && null != pageNo) {
////			PageHelper.startPage(pageNo, pageSize);
////		}
////		StatisticStudentCase vo = new StatisticStudentCase();
////		vo.setSiteId(siteId);
////		EntityWrapper<StatisticStudentCase> wrapper = new EntityWrapper<StatisticStudentCase>(vo);
////		wrapper.like("title", kwd);
////		if (null!=startDate&&""!=startDate&&""!=endDate&&null!=endDate) {
////			endDate = endDate + " 23:59:59";
////			wrapper.between("time", startDate, endDate);
////		}
////		List<StatisticStudentCase> list = statisticStudentCase.selectList(wrapper);
////		if (pageSize != null && pageNo != null) {
////			page.setTotal(PageHelper.getTotal());
////			page.setSize(pageSize);
////			page.setCurrent(pageNo);
////			PageHelper.remove();
////		}
////		page.setRecords(list);

        //需要加部门名称和所属部门机构,重写sql(ding改)
        if (StringUtils.isNotBlank(kwd)) {
            kwd = kwd.trim();
        }
        Page<StatisticStudentCaseVO> page = new Page<>(pageNo, pageSize);

        List<StatisticStudentCaseVO> list = studentCaseMapper.studentCaseList(startDate, endDate, kwd, siteId, page);
        if (CollectionUtils.isNotEmpty(list)) {
            page.setRecords(list);
        }

        return page;
    }

    @Override
    public Page<StatisticStudentCaseAccount> studentCaseByAccount(String kwd,
                                                                  Long siteId, Integer pageSize, Integer pageNo) {
        Page<StatisticStudentCaseAccount> page = new Page<>();
        if (StringUtils.isNotBlank(kwd)) {
            kwd = kwd.trim();
        }
        if (null != pageSize && null != pageNo) {
            PageHelper.startPage(pageNo, pageSize);
        }
        StatisticStudentCaseAccount vo = new StatisticStudentCaseAccount();
        vo.setSiteId(siteId);
        EntityWrapper<StatisticStudentCaseAccount> wrapper = new EntityWrapper<StatisticStudentCaseAccount>(vo);
        wrapper.like("account_name", kwd).or().like("full_name", kwd);
        List<StatisticStudentCaseAccount> list = statisticStudentCaseAccount.selectList(wrapper);
        if (pageSize != null && pageNo != null) {
            page.setTotal(PageHelper.getTotal());
            page.setSize(pageSize);
            page.setCurrent(pageNo);
            PageHelper.remove();
        }
        page.setRecords(list);
        return page;
    }

    @Override
    public Page<StatisticStudentCaseOrg> studentCaseByOrg(String kwd, Long siteId, Integer pageSize,
                                                          Integer pageNo) {
        Page<StatisticStudentCaseOrg> page = new Page<>();
        if (StringUtils.isNotBlank(kwd)) {
            kwd = kwd.trim();
        }
        if (null != pageSize && null != pageNo) {
            PageHelper.startPage(pageNo, pageSize);
        }
        StatisticStudentCaseOrg vo = new StatisticStudentCaseOrg();
        vo.setSiteId(siteId);
        EntityWrapper<StatisticStudentCaseOrg> wrapper = new EntityWrapper<StatisticStudentCaseOrg>(vo);
        wrapper.like("org_name", kwd);
        List<StatisticStudentCaseOrg> list = statisticStudentCaseOrg.selectList(wrapper);
        if (pageSize != null && pageNo != null) {
            page.setTotal(PageHelper.getTotal());
            page.setSize(pageSize);
            page.setCurrent(pageNo);
            PageHelper.remove();
        }
        page.setRecords(list);
        return page;
    }
}
