package com.yizhi.library.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.library.application.domain.StudentCaseScoreRecorde;
import com.yizhi.library.application.mapper.StudentCaseScoreRecordeMapper;
import com.yizhi.library.application.service.IStudentCaseScoreRecordeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 案例学习记录表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-19
 */
@Service
public class StudentCaseScoreRecordeServiceImpl extends ServiceImpl<StudentCaseScoreRecordeMapper, StudentCaseScoreRecorde> implements IStudentCaseScoreRecordeService {

    @Autowired
    private StudentCaseScoreRecordeMapper scoreRecordeMapper;

    @Override
    public Integer getUnscoredCount(Long studentCaseId) {
        return scoreRecordeMapper.getUnscoredCount(studentCaseId);
    }

    @Override
    public Integer getAverageScore(Long caseLibraryId, Long accountId, Long studentCaseId) {
        return scoreRecordeMapper.getAverageScore(caseLibraryId, accountId, studentCaseId);
    }

    @Override
    public Integer getMaxScore(Long caseLibraryId, Long accountId, Long studentCaseId) {
        return scoreRecordeMapper.getMaxScore(caseLibraryId, accountId, studentCaseId);
    }

    @Override
    public Boolean updateScoreRcorde(Long studentCaseId, Long accountId, Integer score) {
        return scoreRecordeMapper.updateScoreRcorde(studentCaseId, accountId, score);
    }
}
